# Получение информации о юзере

<mark style="color:green;">`GET`</mark>`https://agwsapi.tarlanpayments.kz/showcase-gateway/api/v1/service/{service_group}/users/{login}`

**Headers**

| Name         | Value                                                             |
| ------------ | ----------------------------------------------------------------- |
| Content-Type | `application/json`                                                |
| X-Signature  | [Авторизационный хэш](/platezhnyi-shlyuz/formirovanie-podpisi.md) |

**Path params**

<table><thead><tr><th width="161">Name</th><th width="129">Type</th><th>Description</th></tr></thead><tbody><tr><td>service_group<mark style="color:red;">*</mark></td><td>String</td><td>Группа услуг (Влияет на тело ответа в API)</td></tr><tr><td>login<mark style="color:red;">*</mark></td><td>String </td><td>Идентификатор пользователя</td></tr></tbody></table>

**Query params**

<table><thead><tr><th width="161">Name</th><th width="129">Type</th><th>Description</th></tr></thead><tbody><tr><td>service_code<mark style="color:red;">*</mark></td><td>String</td><td>Название услуги</td></tr><tr><td>project<mark style="color:red;">*</mark></td><td>String</td><td>Код Проекта присваиваемый Tarlan-ом</td></tr><tr><td>agent<mark style="color:red;">*</mark></td><td>String</td><td>Код витрины в системе Tarlan</td></tr><tr><td>identifier</td><td>String</td><td>Дополнительный параметр, передаваемый в зависимости от услуги</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200: OK Успешный ответ" %}

```json
{
    "status": true,
    "message": "Success",
    "status_code": 0,
    "result": {
        "error_code": 0,
        "message": "This account is active",
        "account_status": 1,
        "invoice": [
            {
                "amount": 100.5,
                "min_amount": 10.0,
                "contract_name": "test",
                "contract_number": "12345",
                "fio": "Иванов Иван"
            },
        ]
    }
}
```

{% endtab %}

{% tab title="200: OK Неуспешный ответ" %}

```json
{
    "status": true,
    "message": "Success",
    "status_code": 0,
    "result": {
        "error_code": 0,
        "message": "This account is inactive",
        "account_status": 0,
        "invoice": null,
        "additional_data": {
            "error_message": ""
        }
    }
}
```

{% endtab %}

{% tab title="200 OK: Ожидаемая ошибка" %}

```json
{
    "status": true,
    "message": "Success",
    "status_code": 0,
    "result": {
        "error_code": 9718,
        "message": "provider not found",
        "account_status": 0,
        "invoice": null,
        "additional_data": null
    }
}
```

{% endtab %}

{% tab title="400 Bad Request: Неожидаемая ошибка" %}

```json
{
    "status": false,
    "status_code": 1014,
    "message": "Invalid signature",
    "result": {}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tarlanpayments.kz/agws/poluchenie-informacii-o-yuzere.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
